=== debian/changelog ===
inheritenv (0.2-3) unstable; urgency=medium

  * Team upload.
  * Skip build step that requires Internet (Closes: #1054655).

 -- Xiyue Deng <manphiz@gmail.com>  Mon, 06 Nov 2023 13:42:02 -0800

inheritenv (0.2-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Thu, 26 Oct 2023 13:24:24 +0200

inheritenv (0.2-1) unstable; urgency=medium

  * Initial release.

 -- Roland Mas <lolando@debian.org>  Fri, 13 Oct 2023 09:11:30 +0200
