=== debian/watch ===
version=4
opts="mode=git" git@github.com:purcell/inheritenv.git refs/tags/v([\d\.\d\.]+) debian
